Localizador de cuerdas - KolMitE

Localizador de cuerdas

Localizador de cuerdas

diciembre 6, 2018 Populares 0


Descripción

Cuando trabajas en temas y complementos, a menudo observas un fragmento de texto que aparece codificado en los archivos, debes modificarlo, pero no sabes en qué tema o complemento está, y ciertamente no en qué archivo individual mirar.

Busque fácilmente a través de sus temas, complementos o incluso el núcleo de WordPress y se le presentará una lista de archivos, el texto coincidente y la línea del archivo que coincide con su búsqueda.
A continuación, puede realizar rápidamente ediciones directamente en su navegador haciendo clic en el enlace de los resultados de búsqueda.

De forma predeterminada, se realiza una comprobación de coherencia al realizar ediciones en archivos, esto buscará inconsistencias entre llaves, paréntesis y paréntesis que a menudo se dejan en el lugar.
Esto reduce drásticamente el riesgo de romper su sitio al realizar ediciones, pero de ninguna manera es una garantía absoluta.

Capturas de pantalla

  • Buscando en el tema Twenty Fourteen para la cadena 'no encontrada'
  • Después de hacer clic en el enlace de uno de los resultados y de llevarlo al editor en el navegador
  • Smart-Scan ha detectado una inconsistencia en el uso de llaves

Preguntas más frecuentes

¿Garantizará Smart-Scan que mi sitio sea seguro al realizar modificaciones?

Aunque hará lo posible por detectar el uso incorrecto de los símbolos utilizados comúnmente (paréntesis, corchetes y llaves), no hay garantía de que se detecten todos los errores posibles. La mejor protección segura es mantener copias de seguridad consistentes de su sitio (incluso cuando no se realizan ediciones).

A partir de la versión 1.6, el complemento comprobará el estado de su sitio después de realizar una edición. Si el sitio está devolviendo un código de error de ruptura de sitio, volveremos a la versión anterior del archivo.

Mi búsqueda está fallando y me dicen que mi búsqueda no es válida.

Este error solo está relacionado con las búsquedas de expresiones regulares, y se basa en cómo PHP lee su cadena de expresiones regulares.

Al escribir su cadena de búsqueda, asegúrese de ajustar su búsqueda en barras diagonales (/), seguido directamente por cualquier modificador como mayúsculas y minúsculas (yo) que es posible que desee utilizar.

Opiniones

Manera impresionante de identificar cuerdas

d4wp

– extremadamente útil para las traducciones
– bueno para la depuración

genial

potjo

gran plugin

Una herramienta imprescindible! ¡Funciona genial!

triplex

Siendo un desarrollador de plugins de WordPress a tiempo completo, rara vez doy 5 estrellas a menos que valga la pena … este plugin cumple con mis altos estándares de seguro. Siempre tengo que usarlo en los sitios de los clientes para buscar a los desarrolladores descuidados que ponen en cola los scripts / estilos en cada página … y el uso de este complemento hace que sea mucho más fácil de hacer. Bien hecho, gran complemento se ha convertido en una herramienta de uso obligatorio en mi arsenal.

EXCELENTE

yeknafar

¿Dónde estabas?
Estuve buscando un camino por horas querida. Gran abrazo

Rápido, rápido y fácil

jakemuniak

Funciona perfectamente y hace exactamente lo que dice. Muchas gracias por el plugin asesino.

Herramienta imprescindible!

Craighobson

Increíble. ¡Gracias!

Leer los 59 comentarios.

Colaboradores y Desarrolladores

“Localizador de cadenas” es un software de código abierto. Las siguientes personas han contribuido a este plugin.

Contribuyentes

“Localizador de cadenas” se ha traducido a 5 locales. Gracias a los traductores por sus contribuciones.

Traducir “Localizador de cadenas” a su idioma.

¿Interesado en el desarrollo?

Busque el código, revise el repositorio SVN o suscríbase al registro de desarrollo por RSS.

Registro de cambios

2.3.1

Esta es una versión de mantenimiento y seguridad, gracias a RIPS Technologies por la divulgación responsable de varios problemas de seguridad.

  • Se ha corregido una URL de escape que debería haber permitido algunos enlaces HTML.
  • Se corrigió una vulnerabilidad de seguridad potencial con los recorridos de la ruta del archivo.
  • Se corrigió una vulnerabilidad de seguridad potencial que permitía escribir en archivos arbitrarios.
  • Revisó algunas vulnerabilidades de Cross Site Scripting (XSS).
  • Se eliminó el código no utilizado que podría permitir la creación de archivos.

2.3.0

  • Se aumentó el requisito de versión a 4.9, ya que ahora usamos el CodeMirror integrado en el núcleo de WordPress.
  • Las funciones de conversión convertidas a las versiones de escape para evitar la salida accidental de las traducciones.
  • Los idiomas incluidos eliminados, estos deben ser servidos por WordPress.org ahora.
  • Comportamiento mejorado cuando ocurre una falla en la búsqueda, accidentalmente enviamos mensajes de error para cada archivo (whoops).
  • Agregado más cuerdas traducibles.
  • Añadidos varios filtros:
    ** string_locator_bad_http_codes

    ** string_locator_bad_file_types

    **

Entradas viejas

Ver changelog.txt para el historial de versiones

Por favor Comparte y Síguenos:
RSS
Follow by Email
Facebook
Twitter

Deja una respuesta